diff --git a/Makefile.pamphlet b/Makefile.pamphlet
index edfbb96..73aca08 100644
--- a/Makefile.pamphlet
+++ b/Makefile.pamphlet
@@ -70,17 +70,12 @@ all: noweb ${MNT}/${SYS}/bin/document
 	     rm -f *.toc ; \
 	     rm -f *.aux ) ; \
 	  fi
-	@ if [ "$RUNTYPE" = "parallel" ] ; then \
-	     ( echo p6 starting parallel make of help ; \
-	       ${ENV} $(MAKE) help ${NOISE} & ) ; \
-	  else \
-	    ( echo s6 starting serial make of help ; \
+	@  ( echo s6 starting parallel make of help ; \
 	      mkdir -p ${MNT}/${SYS}/doc/spadhelp ; \
 	      mkdir -p ${INT}/input ; \
 	      cd ${SRC}/algebra ; \
 	      ${TANGLE} -t8 Makefile.pamphlet >Makefile.help ; \
-	      ${ENV} $(MAKE) -f Makefile.help parallelhelp ) ; \
-	  fi
+	      ${ENV} $(MAKE) -f Makefile.help parallelhelp ) &
 	@ if [ "$RUNTYPE" = "parallel" ] ; then \
 	    ( echo s2 starting parallel make of books ; \
 	      echo s3 ${SPD}/books/Makefile from \
diff --git a/changelog b/changelog
index 7333ae0..e5b701f 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,5 @@
+20100829 tpd src/axiom-website/patches.html 20100829.01.tpd.patch
+20100829 tpd Makefile always run help extractions in parallel
 20100828 tpd src/axiom-website/patches.html 20100828.01.tpd.patch
 20100828 tpd src/interp/define.lisp treeshake the compiler
 20100828 tpd src/interp/vmlisp.lisp treeshake the compiler
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index 99cf8e4..720a686 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -3089,5 +3089,7 @@ src/interp/wi2.lisp removed<br/>
 src/interp/Makefile remove nspadaux,mark,pspad1,pspad2<br/>
 <a href="patches/20100828.01.tpd.patch">20100828.01.tpd.patch</a>
 books/bookvol9 treeshake the compiler<br/>
+<a href="patches/20100829.01.tpd.patch">20100829.01.tpd.patch</a>
+Makefile always run help extractions in parallel<br/>
  </body>
 </html>
